import java.util.*;

/**
 * Class dbTextFormator - this class permits to format text
 * so that they can be treated by the database.
 *
 * For example, the TextFormator permits to replace ' by \'.
 *          In this way, the sentence <pre>"It's marvellous"<\pre>
 *          will become <pre>"It\'s marvellous"<\pre>.
 * @author Willy Picard
 * @version 23.09.1997
 */

public class TextFormator {
    //Database database;

    /**
     * Empty constructor
     */
    public void TextFormator(){
    }

    /**
     * Replace <pre>'<\pre> by <pre>\'<\pre>.
     * @param s the string to be "encoded".
     * @return the encoded string.
     */
    public String slash(String s){
	//String encod=null;

	StringTokenizer st = new StringTokenizer(s,"\'");
	String sb = new String();
	while (st.hasMoreTokens())
	{
	    sb=sb+st.nextToken()+"\\\'";
	}
	sb=sb.substring(0,sb.length()-2);
	return sb;
    }

    /**
     * Replace <pre>\'<\pre> by <pre>'<\pre>.
     * @param s the string to be "decoded".
     * @return the decoded string.
     */
    public String unslash(String s){
	//String encod=null;

	StringTokenizer st = new StringTokenizer(s,"\\'");
	String sb = new String();
	while (st.hasMoreTokens())
	{
	    sb=sb+st.nextToken()+"'";
	}
	sb=sb.substring(0,sb.length()-1);
	return sb;
    }

    /**
     * Replace <pre>'<\pre> by <pre>''<\pre>.
     * @param s the string to be "encoded".
     * @return the encoded string.
     */
    public String prime(String s){
	//String encod=null;
    String tmp = "";
    if (s == null)
        return ("");
    if (s.equals(""))
        return s;
	for (int i = 0 ; i<s.length();i++)
	    {
	        if (s.charAt(i) == '\'')
	            tmp += "''";
	        else
	            tmp += s.charAt(i);
	    }
    return tmp;
/*
	    return new String("''");
	StringTokenizer st = new StringTokenizer(s,"\'");
	String sb = new String();
	while (st.hasMoreTokens())
	{
	    sb=sb+st.nextToken()+"\'\'";
	}
	sb=sb.substring(0,sb.length()-2);
	return sb;

*/
    }

    /**
     * Replace <pre>''<\pre> by <pre>'<\pre>.
     * @param s the string to be "decoded".
     * @return the decoded string.
     */
    public String unprime(String s){
	//String encod=null;

	StringTokenizer st = new StringTokenizer(s,"\'\'");
	String sb = new String();
	while (st.hasMoreTokens())
	{
	    sb=sb+st.nextToken()+"'";
	}
	sb=sb.substring(0,sb.length()-1);
	return sb;
    }
}

